## shout2send

shout2send — Sends data to an icecast server

## Properties

gchar * | description | Read / Write
gchar * | genre | Read / Write
gchar * | ip | Read / Write
gchar * | mount | Read / Write
gchar * | password | Read / Write
gint | port | Read / Write
GstShout2SendProtocol | protocol | Read / Write
gchar * | streamname | Read / Write
gboolean | sync | Read / Write
gchar * | url | Read / Write
gchar * | username | Read / Write
gboolean | public | Read / Write

## Signals

void | connection-problem | Cleanup

## Types and Values

struct | GstShout2send

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstShout2send

## Implemented Interfaces

GstShout2send implements GstTagSetter.

## Description

## Synopsis

### Element Information

plugin | shout2send
author | Wim Taymans <wim.taymans@chello.be>, Pedro Corte-Real <typo@netcabo.pt>, Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | application/ogg
| audio/ogg
| video/ogg
| audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ]
| video/webm
| audio/webm

## Functions

## Types and Values

### struct GstShout2send

    struct GstShout2send;

## Property Details

### The `“description”` property

      “description”              gchar *

description.

Flags: Read / Write

Default value: ""

### The `“genre”` property

      “genre”                    gchar *

genre.

Flags: Read / Write

Default value: ""

### The `“ip”` property

      “ip”                       gchar *

IP address or hostname.

Flags: Read / Write

Default value: "127.0.0.1"

### The `“mount”` property

      “mount”                    gchar *

mount.

Flags: Read / Write

Default value: ""

### The `“password”` property

      “password”                 gchar *

password.

Flags: Read / Write

Default value: "hackme"

### The `“port”` property

      “port”                     gint

port.

Flags: Read / Write

Allowed values: [1,65535]

Default value: 8000

### The `“protocol”` property

      “protocol”                 GstShout2SendProtocol

Connection Protocol to use.

Flags: Read / Write

Default value: Http Protocol (icecast 2.x)

### The `“streamname”` property

      “streamname”               gchar *

name of the stream.

Flags: Read / Write

Default value: ""

### The `“sync”` property

      “sync”                     gboolean

Sync on the clock.

Flags: Read / Write

Default value: FALSE

### The `“url”` property

      “url”                      gchar *

the stream's homepage URL.

Flags: Read / Write

Default value: ""

### The `“username”` property

      “username”                 gchar *

username.

Flags: Read / Write

Default value: "source"

### The `“public”` property

      “public”                   gboolean

If the stream should be listed on the server's stream directory.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“connection-problem”` signal

    void
    user_function (GstShout2send *gstshout2send,
                   gint           arg1,
                   gpointer       user_data)

#### Parameters

gstshout2send | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Cleanup